Bug 591812 - (perlbrew) Review Request: perlbrew - Manage perl installations in your $HOME
Review Request: perlbrew - Manage perl installations in your $HOME
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/App-perlb...
:
Depends On: perl-HTTP-Lite
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 04:38 EDT by Iain Arnell
Modified: 2010-11-23 11:00 EST (History)
2 users (show)

See Also:
Fixed In Version: perlbrew-0.06-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-05-13 04:38:24 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perlbrew.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perlbrew-0.06-1.fc14.src.rpm

Description:
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to ~/perl5/perlbrew,
and requires you to tweak your PATH by including a bashrc/cshrc file it
provides. You then can benefit from not having to run 'sudo' commands to
install cpan modules because those are installed inside your HOME too. It's
almost like an isolated perl environments.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2184763

*rt-0.10_01
Comment 1 Chris Weyl 2010-05-17 22:28:04 EDT
The licensing here is a little confused, as perlbrew contains HTTP::Lite...
or did?  Makefile.PL says "same as Perl", as does the Changelog entries;
LICENSE in the root says "MIT", as does lib/App/perlbrew.pm.

If it actually includes HTTP::Lite, then it will have to be Perl (or GPL+ at
least).  If not, then it can be MIT.  Everything else here looks good; I hate
to say it, but I think we need to get some sort of clarification from the
author; the statement of license in perlbrew.pm controls here.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2184763

Spec looks sane, clean and consistent; make test passes cleanly.

Source tarballs match upstream (sha1sum):
aef837763f49c7c8f4bca88a1878669aa734684f App-perlbrew-0.06.tar.gz
aef837763f49c7c8f4bca88a1878669aa734684f App-perlbrew-0.06.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint perlbrew.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perlbrew-0.06-1.fc14.noarch.rpm <======
====> rpmlint
perlbrew.noarch: W: spelling-error Summary(en_US) perl -> Perl, peel, perk
perlbrew.noarch: W: spelling-error %description -l en_US perl -> Perl, peel, perk
perlbrew.noarch: W: spelling-error %description -l en_US bashrc -> Basho, bashful, bashing
perlbrew.noarch: W: spelling-error %description -l en_US cshrc -> cashier, crush, crash
perlbrew.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
perlbrew.noarch: W: spelling-error %description -l en_US cpan -> can, pan, span
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
====> provides
perl(App::perlbrew) = 0.06
perl-App-perlbrew = 0.06-1.fc14
perlbrew = 0.06-1.fc14
====> requires
/usr/bin/perl  
perl >= 1:5.8.0
perl(:MODULE_COMPAT_5.10.1)  
perl(App::perlbrew)  
perl(Getopt::Long)  
perl(HTTP::Lite) >= 2.2
perl(Pod::Usage)  
perl(strict)  
====> obsoletes
====> conflicts

======> perlbrew-0.06-1.fc14.src.rpm <======
====> rpmlint
perlbrew.src: W: spelling-error Summary(en_US) perl -> Perl, peel, perk
perlbrew.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk
perlbrew.src: W: spelling-error %description -l en_US bashrc -> Basho, bashful, bashing
perlbrew.src: W: spelling-error %description -l en_US cshrc -> cashier, crush, crash
perlbrew.src: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
perlbrew.src: W: spelling-error %description -l en_US cpan -> can, pan, span
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
====> provides
====> requires
perl >= 1:5.8.0
perl(ExtUtils::MakeMaker)  
perl(HTTP::Lite) >= 2.2
perl(Test::More)  
====> obsoletes
====> conflicts
Comment 2 Iain Arnell 2010-05-17 23:41:54 EDT
(In reply to comment #1)
> The licensing here is a little confused, as perlbrew contains HTTP::Lite...
> or did?  Makefile.PL says "same as Perl", as does the Changelog entries;
> LICENSE in the root says "MIT", as does lib/App/perlbrew.pm.
> 
> If it actually includes HTTP::Lite, then it will have to be Perl (or GPL+ at
> least).  If not, then it can be MIT.  Everything else here looks good; I hate
> to say it, but I think we need to get some sort of clarification from the
> author; the statement of license in perlbrew.pm controls here.

Good catch. It can be built in "author" mode which does indeed embed HTTP::Lite (and App::perlbrew) into a single perlbrew script. Then the whole thing is "same as Perl"

Or it can be built and installed normally and simply requires HTTP::Lite. In which case, it's MIT.

This commit http://github.com/gugod/App-perlbrew/commit/8eeb3507cc56bea1fa1db2e0060bfb48553621d3 seems to make the author's intentions clearer. And many of author's other modules are also MIT.

Spec URL: http://fedorapeople.org/~iarnell/review/perlbrew.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perlbrew-0.06-2.fc14.src.rpm
Comment 3 Chris Weyl 2010-05-18 01:30:30 EDT
Ok, that makes sense to me :)

APPROVED
Comment 4 Iain Arnell 2010-05-18 02:08:33 EDT
New Package CVS Request
=======================
Package Name: perlbrew
Short Description: Manage perl installations in your $HOME
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 5 Dennis Gilmore 2010-05-18 14:37:21 EDT
CVS Done
Comment 6 Fedora Update System 2010-05-28 12:40:06 EDT
perlbrew-0.06-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perlbrew-0.06-2.fc13
Comment 7 Fedora Update System 2010-05-28 12:40:12 EDT
perlbrew-0.06-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perlbrew-0.06-2.fc12
Comment 8 Fedora Update System 2010-05-31 14:22:34 EDT
perlbrew-0.06-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perlbrew'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perlbrew-0.06-2.fc13
Comment 9 Fedora Update System 2010-05-31 14:24:35 EDT
perlbrew-0.06-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perlbrew'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perlbrew-0.06-2.fc12
Comment 10 Fedora Update System 2010-06-08 15:39:01 EDT
perlbrew-0.06-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-06-08 15:40:48 EDT
perlbrew-0.06-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Iain Arnell 2010-11-22 23:11:55 EST
Package Change Request
======================
Package Name: perlbrew
New Branches: el5 el6
Owners: iarnell
InitialCC: perl-sig
Comment 13 Jason Tibbitts 2010-11-23 11:00:31 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.